connect username/password
set linesize 32000
set pagesize 1000
set long 2000000000
set longchunksize 1000
set head off;
set verify off;
set termout off;
 
column u new_value us noprint;
column n new_value ns noprint;
 
select name n from v$database;
select user u from dual;
set sqlprompt &ns:&us>

set head on
set echo on
set termout on
set trimspool on

spool &ns.report.log

-- Report that can be run after completion showing 
--    A - waits per hour
--    B - waits per second
--    C - average wait time in milliseconds
--    D - average wait time in seconds

select 'log file parallel write' wait_event,
((a.current_time-b.current_time)*24*60*60) elapsed_secs,
(a.total_waits-b.total_waits)/
((a.current_time-b.current_time)*24) waits_per_hour,
(a.total_waits-b.total_waits)/
((a.current_time-b.current_time)*24*60*60) waits_per_second,
(a.TIME_WAITED_MICRO-b.TIME_WAITED_MICRO)/
((a.total_waits-b.total_waits)*1000) avg_wait_ms,
(a.TIME_WAITED_MICRO-b.TIME_WAITED_MICRO)/
((a.total_waits-b.total_waits)*1000000) avg_wait_sec 
from
waits_before b,
waits_after a
union
select 'log file sync',
((a.current_time-b.current_time)*24*60*60) elapsed_secs,
(a.total_waits-b.total_waits)/
((a.current_time-b.current_time)*24) waits_per_hour,
(a.total_waits-b.total_waits)/
((a.current_time-b.current_time)*24*60*60) waits_per_second,
(a.TIME_WAITED_MICRO-b.TIME_WAITED_MICRO)/
((a.total_waits-b.total_waits)*1000) avg_wait_ms,
(a.TIME_WAITED_MICRO-b.TIME_WAITED_MICRO)/
((a.total_waits-b.total_waits)*1000000) avg_wait_sec 
from
waits_before2 b,
waits_after2 a;


spool off
